Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome
Class SessionPropertyString

    java.lang.Object
      |
      +--com.jxml.quick.qmap.QKeyedBase
            |
            +--com.jxml.qare.qhome.SessionPropertyString

All Implemented Interfaces:
  QKeyed

public class SessionPropertyString
extends QKeyedBase

This class provides the functionality for storing session data

Field Summary
`String` | `value`

Fields inherited from class com.jxml.quick.qmap.QKeyedBase
`key`

Constructor Summary
`SessionPropertyString()`
`SessionPropertyString(Map container, Object key, String value)` It calls the super class method passing the container and the key.

Method Summary
`String` | `getValue()` Returns the value.
`void` | `setValue(String value)` Sets the value to the data specified by "value".
`String` | `toString()`

Methods inherited from class com.jxml.quick.qmap.QKeyedBase
`attach, key`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public String value

Constructor Detail

### SessionPropertyString

    public SessionPropertyString()

### SessionPropertyString

    public SessionPropertyString(Map container,
                                 Object key,
                                 String value)

  It calls the super class method passing the container and the key.
  Parameters:
    `container` - Conatins the sessions data.
    `key` - index by which values in the container can be referenced.
    `value` - Value represented by key in properties(session).

Method Detail

### getValue

    public String getValue()

  Returns the value.

### setValue

    public void setValue(String value)

  Sets the value to the data specified by "value".
  Parameters:
    `value` - Value represented by key in properties(session).

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD